<?PHP
include_once 'bd/conexion.php';
$objeto = new Conexion();
$conexion = $objeto->Conectar();

$ids = trim($_POST['ids']);

$consultaProc = "SELECT * FROM PROCEDIMIENTOS WHERE id_procedimiento IN ($ids) ORDER BY procedimiento;";
$resultadoProc = $conexion->prepare($consultaProc);
$resultadoProc->execute(); 
$dataProc=$resultadoProc->fetchAll(PDO::FETCH_ASSOC);

/*$Result = sqlsrv_query($conexion, $Sql, array(), array("Scrollable" => SQLSRV_CURSOR_KEYSET)) 
			or die("Error MsSql: - " .$Sql. ' - ' . print_r(sqlsrv_errors(), true));*/
?>
<table id='example1' class="table table-bordered table-striped display responsive nowrap" style="width:100%">
<thead>
    <tr>
        <th width='10%'>Cod. CUPS</th>
        <th width='30%'>Nombre Procedimiento</th>
        <th width='7%'></th>
    </tr>
</thead>
<tbody>
    <?php
        foreach ($dataProc as $resProc) { 
    ?>
            <tr>
                <td><?php echo $resProc['cod_cups']; ?></td>
                <td><?php echo $resProc['procedimiento']; ?></td>
                <td>
                    <button class='btn btn-danger btn-sm ' id='BtnEliminarPro' value='<?php echo $resProc['id_procedimiento']; ?>'>
                        <span class='fa fa-trash-o'></span>
                    </button>
                </td>
            </tr>
    <?php
        } 
    ?>
</tbody>
    <tfoot>
        <tr>
            <th>Cod. CUPS</th>
            <th>Nombre Procedimiento</th>
            <th></th>
        </tr>
    </tfoot>
</table>
                
 <script>
    $(function () {
        $('#example1').DataTable({
            "scrollX" : true,
            "language": {
                'sProcessing':     'Procesando...',
                'sLengthMenu':     'Mostrar _MENU_ registros',
                'sZeroRecords':    'No se encontraron resultados',
                'sEmptyTable':     'Ningún dato disponible en esta tabla',
                'sInfo':           'Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros',
                'sInfoEmpty':      'Mostrando registros del 0 al 0 de un total de 0 registros',
                'sInfoFiltered':   '(filtrado de un total de _MAX_ registros)',
                'sInfoPostFix':    '',
                'sSearch':         'Buscar:',
                'sUrl':            '',
                'sInfoThousands':  ',',
                'sLoadingRecords': 'Cargando...',
                'oPaginate': {
                    'sFirst':    'Primero',
                    'sLast':     'Último',
                    'sNext':     'Siguiente',
                    'sPrevious': 'Anterior'
                },
                'oAria': {
                    'sSortAscending':  ': Activar para ordenar la columna de manera ascendente',
                    'sSortDescending': ': Activar para ordenar la columna de manera descendente'
                },
                'buttons': {
                    'copy': 'Copiar',
                    'colvis': 'Visibilidad'
                }
            }
                                                                
        });
        $('#example2').DataTable({
            'paging': true,
            'lengthChange': false,
            'searching': false,
            'ordering': true,
            'info': true,
            'autoWidth': false
        });
    });
</script>
            
<script>
     $('#example1').on('click', '#BtnEliminarPro', function(e){ 
     var c = '#' + $(this).val();
     if($(c).val() == $(this).val()){  
          $(c).prop('checked',false);
          $(this).closest('tr').remove();
          var arr = $('[name=\"check[]\"]:checked').map(function () {
             return this.value;
          }).get();
         var str = arr.join(',');
         
         $('#idsProduc').val(str);
      } 
     });
</script>